use crate::instruction::{UnitKind, UnitNum};
use fayalite::prelude::*;

#[derive(Clone, Eq, PartialEq, Hash, Debug)]
#[non_exhaustive]
pub struct CpuConfig {
    pub units: Vec<UnitKind>,
}

impl CpuConfig {
    pub fn unit_num(&self) -> UnitNum<DynSize> {
        UnitNum[UInt::range(0..self.units.len()).width()]
    }
}
